Package wx :: Module aui :: Class PyAuiDockArt

[frames | no frames]

## Type PyAuiDockArt

       object --+
                |
       AuiDockArt --+
                    |
    AuiDefaultDockArt --+
                        |
                       PyAuiDockArt

This version of the `AuiDockArt` class has been instrumented to be subclassable in Python and to reflect all calls to the C++ base class methods to the Python methods implemented in the derived class.

Method Summary
PyAuiDockArt | ``__init__`(self)` This version of the `AuiDockArt` class has been instrumented to be subclassable in Python and to reflect all calls to the C++ base class methods to the Python methods implemented in the derived class.

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self)
(Constructor)

This version of the `AuiDockArt` class has been instrumented to be subclassable in Python and to reflect all calls to the C++ base class methods to the Python methods implemented in the derived class.

  Returns:
    PyAuiDockArt
  Overrides:
    `wx.aui.AuiDefaultDockArt.__init__`

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1216193932(...)
  Set Method:
    unknown--1216193876(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:35 2007 | http://epydoc.sf.net